Get a Derived Substitution Variable Defined at the Plan Type Level
You can use REST APIs to retrieve a substitution variable defined at the plan type level.
Required Roles
Any Role
REST Resource
GET /HyperionPlanning/rest/{api_version}/applications/{application}/plantypes/{plantype}/substitutionvariables/{name}?q={"derivedValues":true}Request
Parameters
The following table summarizes the client request.
Table 3-134 Parameters
| Name | Description | Type | Required | Default |
|---|---|---|---|---|
api_version |
Version of the API you are developing with | Path | Yes | None |
application |
The name of the application | Path | Yes | None |
plantype |
Name of the plan type for which to get substitution variables | Path | Yes | None |
derivedValues |
If set to If a substitution variable with the same name is defined both at the plan type level and at the application level, the plan type level is returned. If set to |
Query | No | False |
Example URL
https://<BASE-URL>/HyperionPlanning/rest/v3/applications/Vision/plantypes/Plan1/substitutionvariables?q={"derivedValues":true}
Response
Supported Media Types: application/json
Parameters
The following table summarizes the parameters.
Table 3-135 Parameters
| Name | Description |
|---|---|
items |
Collection of information about the resource |
name |
Name of the substitution variable, such as CurrYear |
value |
Value of the substitution variable, such as FY16 |
planType |
Name of the plan type, such as Plan1, or ALL for all plan types |
Example of Response Body
The following shows an example of the response body.
{
"name": "CurrPeriod",
"value": "Jan",
"planType": "ALL",
"links": [{
"rel": "self",
"href": "https://<BASE-URL>/HyperionPlanning/rest/v3/applications/vision/plantypes/plan1/substitutionvariables/CurrPeriod?q=%7B%22derivedValues%22:true%7D",
"action": "GET"
}]
}